## xbubble 0.5.11.2

=== debian/changelog ===
xbubble (0.5.11.2-5) unstable; urgency=medium

  [ Alexandre Detiste ]
  * apply Multi-Arch: hint

  [ Adrian Bunk ]
  * Fix FTBFS with GCC 15. (Closes: #1098123)

  [ Andreas Tille ]
  * Replace Uwe Hermann as Uploader (Uwe thank you for your work)
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2025 06:52:31 +0100

xbubble (0.5.11.2-4) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Games team
  * Revert change of original Homepage to alioth despite original
    Homepage is not up to date and does not provide the latest version
    packaged here.  But alioth is dead and linking there makes no sense
    Closes: #1081608
  * Confess there are no upstream releases any more by turning watch file
    into fake rather than pointing to not existent URL
  * Do not start synopsis with an article
  * debhelper 13
  * Switch from cdbs to dh
  * Enable dh_autoreconfigure
  * d/copyright: DEP5
  * Propagate hardening options
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * Finally apply full patch to check the return value of functions
    Closes: #511922
  * Provide desktop file instead of menu file
    Closes: #738059
  * Confirm NMU 0.5.11.2-3.4
    Closes: #853709
  * Lintian-overrides: desktop-command-not-in-package (desktop is in
    data package while executable is in arch dependant package)

 -- Andreas Tille <tille@debian.org>  Fri, 31 Jan 2025 11:26:38 +0100

xbubble (0.5.11.2-3.5) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965886)

 -- Adrian Bunk <bunk@debian.org>  Tue, 04 Jan 2022 18:24:24 +0200

xbubble (0.5.11.2-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't build with -Werror to workaround #853709 in gcc.

 -- Adrian Bunk <bunk@debian.org>  Sat, 18 Nov 2017 23:25:03 +0200

xbubble (0.5.11.2-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS for libpng16 -- Patch from Noguhiro (Closes: #650571)

 -- Tobias Frost <tobi@debian.org>  Thu, 07 Jan 2016 23:19:40 +0100

xbubble (0.5.11.2-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixes FTBFS: loadpng.c ignoring return value of fread (Closes: #664910).

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Apr 2012 08:23:12 +0000

xbubble (0.5.11.2-3.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)" due to patch.
  * debian/patches
    - (Number 10): Add patch to fix Gcc 4.4 error: declaration of 'round'
      shadows a global declaration. Patch thanks to Ilya Barygin
      <barygin@gmail.com>. (RC bug FTBFS serious; Closes: #552885).
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 30 Mar 2010 16:41:03 +0300

xbubble (0.5.11.2-3) unstable; urgency=low

  * Check return value of more functions (Closes: #511922).
    Thanks James Westby <jw+debian@jameswestby.net> for the patch.
  * Add missing 'Depends: ${misc:Depends}' (lintian).

 -- Uwe Hermann <uwe@debian.org>  Tue, 10 Mar 2009 02:20:39 +0100

xbubble (0.5.11.2-2) unstable; urgency=low

  * Standards-Version: 3.8.0
    + debian/menu: Move to new section "Games/Blocks".
    + debian/control: Add Homepage field.
  * Drop obsolete 'x-dev' build-dependency.
  * debian/copyright: Switch to machine-readable format.
  * debian/watch: Add file.
  * debian/rules: Add 'LDFLAGS = -Wl,--as-needed' to prevent linking
    against unneeded libs.

 -- Uwe Hermann <uwe@debian.org>  Sat, 27 Sep 2008 23:09:51 +0200

xbubble (0.5.11.2-1) unstable; urgency=low

  * New upstream release (Closes: #365147).
  * Switched to debhelper 5 (+ cdbs).
  * Standards-Version: 3.7.2 (no changes).
  * Mention the license (LGPL) of src/gettext.h in debian/copyright.

 -- Uwe Hermann <uwe@debian.org>  Tue, 30 May 2006 18:23:57 +0200

xbubble (0.5.11.1-1) unstable; urgency=low

  * New upstream release (Closes: #358240). This fixes a GCC 4.1 problem.
    Thanks Martin Michlmayr and Martin Quinson.
  * debian/copyright: Be more verbose. Mark my own packaging as public domain.

 -- Uwe Hermann <uwe@debian.org>  Wed,  5 Apr 2006 01:14:19 +0200

xbubble (0.5.11-1) unstable; urgency=low

  * New upstream release (Closes: #346275).
  * Standards-Version: 3.6.2.0 (no changes).
  * Updated debian/copyright.
  * Replace "xlibs-dev" Build-Depends with "libx11-dev, x-dev, libxt-dev".
    Thanks to Martin Quinson for the help! (Closes: #346764).

 -- Uwe Hermann <uwe@debian.org>  Sat, 14 Jan 2006 21:37:54 +0100

xbubble (0.5.10-2) unstable; urgency=low

  * Fixed debian/copyright.
  * Build-Depend on libpng-dev now (transition to libpng 1.2, as libpng 1.0
    will be removed from the archive).

 -- Uwe Hermann <uwe@debian.org>  Mon, 13 Jun 2005 17:57:34 +0200

xbubble (0.5.10-1) unstable; urgency=low

  * New upstream release (Closes: #257080).
  * Updated download location of the tarball.
  * Build-Depend on libpng2-dev instead of libpng3-dev for now.
  * Added quotes around menu entries.

 -- Uwe Hermann <uwe@debian.org>  Sat,  7 Aug 2004 12:29:06 +0200

xbubble (0.5.8-1) unstable; urgency=low

  * The "Thanks for your patience" release.
  * New upstream release (Closes: #199441).
  * Split the package into xbubble and xbubble-data.
  * Standards-Version: 3.6.1.0 (no changes).
  * debian/docs: Added TODO and NetworkProtocol.
  * debian/copyright: Updated URL to upstream download location.
  * Switched to cdbs.
  * Build-Depend on debhelper (>= 4.1.46) and autotools-dev, which is
    required by cdbs.
  * Acknowledge NMU. Upstream now included the patch from Goswin Brederlow.
    Thanks Goswin and Joachim! (Closes: #189971).

 -- Uwe Hermann <uwe@debian.org>  Sun,  7 Dec 2003 16:07:04 +0100

xbubble (0.2.5-1.1) unstable; urgency=low


