=== debian/control ===
Source: xbubble
Standards-Version: 4.7.2
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: games
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libpng-dev,
 libx11-dev,
 libxt-dev,
Vcs-Browser: https://salsa.debian.org/games-team/xbubble
Vcs-Git: https://salsa.debian.org/games-team/xbubble.git
Homepage: https://www.nongnu.org/xbubble/

Package: xbubble
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 xbubble-data,
Description: nice Puzzle Bubble clone
 XBubble is a Puzzle Bubble / Bust-A-Move clone.
 .
 Your goal is to remove all the bubbles from the game board. To do this
 you must aim and shoot bubbles. When you manage to match 3 or more
 bubbles of the same color, they burst and disappear. All bubbles which
 hang free now, will fall down and disappear, too.
 .
 XBubble features single player mode, two player mode and
 player vs. computer (five difficulty levels of the AI) and has nice
 graphics, but no sound.

Package: xbubble-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 xbubble,
Description: Data files for XBubble, a nice Puzzle Bubble clone
 This package contains the data files for XBubble.
 .
 XBubble is a Puzzle Bubble / Bust-A-Move clone.
 .
 Your goal is to remove all the bubbles from the game board. To do this
 you must aim and shoot bubbles. When you manage to match 3 or more
 bubbles of the same color, they burst and disappear. All bubbles which
 hang free now, will fall down and disappear, too.
 .
 XBubble features single player mode, two player mode and
 player vs. computer (five difficulty levels of the AI) and has nice
 graphics, but no sound.
