=== debian/rules ===
#!/usr/bin/make -f

# Fix build on alpha.
ifneq (,$(findstring alpha,$(DEB_BUILD_GNU_TYPE)))
	CFLAGS += -mieee
endif

# Don't link against unneeded libs.
LDFLAGS = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=\$${prefix}/games
